/*
 * Licensed to meast-summarize under one or more contributor
 * license agreements. See the NOTICE file distributed with
 * this work for additional information regarding copyright
 * ownership. IlluSnip licenses this file to you under
 * the Apache License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package ws.meast.summarization.verbalizeimp;

/**
 * 
 * @author Yue Liang
 * 
 */
import java.util.Comparator;

public class EdgeComparator implements Comparator<Object> {

	@Override
	public int compare(Object o1, Object o2) {
        VerbalizedEdge e1= (VerbalizedEdge)o1;
        VerbalizedEdge e2= (VerbalizedEdge)o2;

        if (e1.getPri() > e2.getPri()) 
        	return 1;
        else if (e1.getPri() == e2.getPri()) 
        	return 0;
        else 
        	return -1;
       
	}
}
